Bug 1678892 - system purpose dropdowns are not disabled when no values present
Summary: system purpose dropdowns are not disabled when no values present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 20:06 UTC by Jonathon Turel
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.25-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:23 UTC
Foreman Issue Tracker 26117 None None None 2019-02-22 14:27:44 UTC

Description Jonathon Turel 2019-02-19 20:06:16 UTC
Description of problem:

Before a manifest containing syspurpose values has been imported the corresponding dropdowns on the content host details UI are empty


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. spin up a 6.5 satellite
2. register a content host
3. navigate to the host's details page and click the 'edit' icon next to any System Purpose field

Actual results: the 'edit' button is not disabled, revealing an empty dropdown when clicked


Expected results: 'edit' button should be disabled until the user has a manifest with syspurpose values OR they've set the syspurpose value from CLI tooling


Additional info:

Comment 4 Jonathon Turel 2019-02-22 14:27:44 UTC
Created redmine issue https://projects.theforeman.org/issues/26117 from this bug

Comment 5 Bryan Kearney 2019-03-04 15:03:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26117 has been resolved.

Comment 8 Radovan Drazny 2019-04-29 11:04:27 UTC
Verified on Sat 6.5 Snap 25. Syspurpose dropdowns for a freshly registered content host contain following items:

Service Level (SLA):
 - Self-support
 - Standard
 - Premium

Usage Type:
 - Production
 - Development/Test
 - Disaster Recovery

Role:
 - Red Hat Enterprise Linux Server
 - Red Hat Enterprise Linux Workstation
 - Red Hat Enterprise Linux Compute Node

Add ons item is not editable without a subscription containing an Add-on attribute.

Comment 11 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.